Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-BG_BABEL.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-BG_BABEL.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-BG_BABEL.fcm	(revision 3173)
@@ -0,0 +1,29 @@
+# babel IBM BlueGene/P at french IDRIS, http://www.idris.fr/su/Scalaire/babel
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make  
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/bglocal/prod/tools_ibm/netcdf-3.6.1/includ
+%NCDF_LIB            -L/bglocal/prod/tools_ibm/netcdf-3.6.1/lib -lnetcdf
+%FC                  mpxlf90_r
+%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%LD                  mpxlf90_r
+%LDFLAGS    
+%FPPFLAGS            -P -C
+%AR                  ar  
+%ARFLAGS             rs
+%MK                  gmake 
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-IA64_PLATINE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-IA64_PLATINE.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-IA64_PLATINE.fcm	(revision 3173)
@@ -0,0 +1,29 @@
+# platine BULL cluster at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/platine.htm
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC        -I/usr/include 
+%NCDF_LIB        -L usr/lib -lnetcdf -lnetcdff
+%FC              mpif90
+%FCFLAGS         -i4 -r8 -automatic -align all -I/opt/mpi/current/include
+%FFLAGS          %FCFLAGS
+%LD              mpif90
+%LDFLAGS
+%FPPFLAGS        -P -C -traditional
+%AR              ar
+%ARFLAGS         rs
+%MK              gmake
+%USER_INC        %NCDF_INC
+%USER_LIB        %NCDF_LIB
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-PW6MONO_VARGAS.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-PW6MONO_VARGAS.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-PW6MONO_VARGAS.fcm	(revision 3173)
@@ -0,0 +1,29 @@
+# vargas IBM POWER6 (monoprocessor for tools) at french IDRIS, http://www.idris.fr/su/Scalaire/vargas/hw-vargas.html
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make  
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/usr/local/pub/NetCDF/3.6.2/include
+%NCDF_LIB            -L /usr/local/pub/NetCDF/3.6.2/lib -lnetcdf
+%FC                  xlf90_r
+%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%LD                  xlf90_r
+%LDFLAGS    
+%FPPFLAGS            -P -C
+%AR                  ar  
+%ARFLAGS             rs
+%MK                  gmake 
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-PW6_VARGAS.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-PW6_VARGAS.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-PW6_VARGAS.fcm	(revision 3173)
@@ -0,0 +1,29 @@
+# vargas IBM POWER6 at french IDRIS, http://www.idris.fr/su/Scalaire/vargas/hw-vargas.html
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make  
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/usr/local/pub/NetCDF/3.6.2/include
+%NCDF_LIB            -L /usr/local/pub/NetCDF/3.6.2/lib -lnetcdf
+%FC                  mpxlf90_r
+%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
+%LD                  mpxlf90_r
+%LDFLAGS    
+%FPPFLAGS            -P -C
+%AR                  ar  
+%ARFLAGS             rs
+%MK                  gmake 
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX8_BRODIE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX8_BRODIE.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX8_BRODIE.fcm	(revision 3173)
@@ -0,0 +1,29 @@
+# brodie NEC SX-8 at french IDRIS, http://www.idris.fr/su/Vectoriel/brodie/hw-brodie.html
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC           -I/SXlocal/pub/netCDF/netCDF-3.6.1/include
+%NCDF_LIB           -L/SXlocal/pub/netCDF/netCDF-3.6.1/lib -lnetcdf
+%FC                 sxmpif90
+%FCFLAGS            -f2003 nocbind -dW -Wf,"-A idbl4",-ptr byte -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000  -Wf"-init heap=zero" -R2
+%FFLAGS             %FCFLAGS
+%LD                 sxmpif90
+%LDFLAGS
+%FPPFLAGS           -P -C -traditional
+%AR                 sxar
+%ARFLAGS            rs 
+%MK                 sxgmake
+%USER_INC           %NCDF_INC
+%USER_LIB           %NCDF_LIB 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX8_MERCURE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX8_MERCURE.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX8_MERCURE.fcm	(revision 3173)
@@ -0,0 +1,30 @@
+# mercure NEC SX-8 at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/mercure.htm
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC        -I/ccc/applications/sx8/netcdf-3.6.1/include
+%NCDF_LIB        -L/ccc/applications/sx8/netcdf-3.6.1/lib -lnetcdf
+%FC              sxmpif90
+%FCFLAGS         -f2003 nocbind -size_t64 -dW -Wf,"-A idbl4", -sx8 -C vopt -P stack -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -Wf"-init heap=zero" -R2
+%FFLAGS          %FCFLAGS
+%LD              sxmpif90
+%LDFLAGS         -size_t64
+%FPPFLAGS        -P -C -traditional
+%AR              sxar
+%ARFLAGS         rs
+%MK              sxgmake
+%USER_INC        %NCDF_INC
+%USER_LIB        %NCDF_LIB
+
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX9_ES2.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX9_ES2.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX9_ES2.fcm	(revision 3173)
@@ -0,0 +1,30 @@
+# Earth Simulator 2, NEC SX-9, http://www.jamstec.go.jp/esc/index.en.html
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC        -I/SX/usr/include
+%NCDF_LIB        -L/SX/usr/lib -lnetcdf
+%FC              sxmpif90
+%FCFLAGS         -f2003 nocbind -P stack -dW -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"  -Wf"-init heap=zero" -R2
+%FFLAGS          %FCFLAGS
+%LD              sxmpif90
+%LDFLAGS
+%FPPFLAGS        -P -C -traditional
+%AR              sxar
+%ARFLAGS         rs
+%MK              gmake
+%USER_INC        %NCDF_INC
+%USER_LIB        %NCDF_LIB
+
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX9_MERCURE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX9_MERCURE.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-SX9_MERCURE.fcm	(revision 3173)
@@ -0,0 +1,30 @@
+# mercure NEC SX-9 at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/mercure.htm
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC        -I/usr/local/SX8/soft/netcdf/include
+%NCDF_LIB        -L/usr/local/SX8/soft/netcdf/lib -lnetcdf
+%FC              sxmpif90
+%FCFLAGS         -f2003 nocbind -P stack -dW -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"  -Wf"-init heap=zero" -R2
+%FFLAGS          %FCFLAGS
+%LD              sxmpif90
+%LDFLAGS
+%FPPFLAGS        -P -C -traditional
+%AR              sxar
+%ARFLAGS         rs
+%MK              gmake
+%USER_INC        %NCDF_INC
+%USER_LIB        %NCDF_LIB
+
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-TX7_ULAM.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-TX7_ULAM.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-TX7_ULAM.fcm	(revision 3173)
@@ -0,0 +1,29 @@
+# ulam IBM X3950 M2 at french IDRIS, http://www.idris.fr/su/Scalaire/ulam/hw-ulam.html
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make  
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/TXlocal/pub/netcdf/netcdf-3.6.2/include
+%NCDF_LIB            -L/TXlocal/pub/netcdf/netcdf-3.6.2/lib -lnetcdf
+%FC                  gfortran
+%FCFLAGS             -fdefault-real-8
+%FFLAGS              %FCFLAGS 
+%LD                  gfortran
+%LDFLAGS    
+%FPPFLAGS            -P -C
+%AR                  ar  
+%ARFLAGS             -r
+%MK                  gmake 
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-X64_TITANE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-X64_TITANE.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-X64_TITANE.fcm	(revision 3173)
@@ -0,0 +1,28 @@
+# titane BULL at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/titane.htm
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+%NCDF_INC            -I$(NETCDF_INC_DIR)
+%NCDF_LIB            -L$(NETCDF_LIB_DIR) -lnetcdff -lnetcdf
+%FC                  mpif90 -c -cpp
+%FCFLAGS             -i4 -r8 -DCPP_PARA -O3 -automatic -align all
+%FFLAGS              %FCFLAGS
+%LD                  mpif90
+%LDFLAGS
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-X86_CESIUM.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-X86_CESIUM.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/CNRS/arch-X86_CESIUM.fcm	(revision 3173)
@@ -0,0 +1,29 @@
+# cesium pre/post processing HP at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/cesium.htm
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/applications/netcdf-3.6.3/include
+%NCDF_LIB            -L/applications/netcdf-3.6.3/lib -lnetcdff -lnetcdf
+%FC                  ifort
+%FCFLAGS             -i4 -r8 
+%FFLAGS              %FCFLAGS
+%LD                  ifort
+%LDFLAGS              -Vaxlib 
+%FPPFLAGS            -P -C -traditional
+%AR                  ar
+%ARFLAGS             rs
+%MK                  gmake
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS.fcm	(revision 3173)
@@ -0,0 +1,33 @@
+# ifort compiler options for NOCS ALTIX cluster nautilus
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_INC            -I/sw/packages/netcdf/3.6.2/x86_64/include
+%NCDF_LIB            -L/sw/packages/netcdf/3.6.2/x86_64/lib -lnetcdf
+%FC                  mpif90
+%FCFLAGS             -r8 -O3 -xT -ip -vec-report0
+%FFLAGS              -r8 -O3 -xT -ip -vec-report0
+%LD                  mpif90
+%FPPFLAGS            -P -C -traditional
+%LDFLAGS
+%AR                  ar 
+%ARFLAGS             -r
+%MK                  gmake
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB
+
+# - if debugging use these flags
+#FCFLAGS             -g -traceback -r8 -O0 -xT -ip -vec-report0
+#FFLAGS              -g -traceback -r8 -O0 -xT -ip -vec-report0
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS4.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS4.fcm	(revision 3173)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/NOC/arch-ALTIX_NAUTILUS4.fcm	(revision 3173)
@@ -0,0 +1,38 @@
+# ifort compiler options for NOCS ALTIX cluster nautilus using NetCDF4 libraries
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# NCDF_INC    netcdf include file
+# NCDF_LIB    netcdf library
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
+# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+
+
+%NCDF_HOME           /noc/users/jeff/packages/netcdf4/netcdf-4.1.1/x86_64/intel10.1
+%HDF5_HOME           /noc/users/jeff/packages/hdf5/hdf5-1.8.4-patch1/x86_64/intel10.1
+%NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
+# Note use of -Bstatic because the library root directories are not accessible to the back-end compute nodes
+%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -Bstatic -lnetcdf -lhdf5_fortran -lhdf5_hl -lhdf5 -Bdynamic -lz
+%FC                  mpif90
+%FCFLAGS             -r8 -O3 -xT -ip -vec-report0
+%FFLAGS              -r8 -O3 -xT -ip -vec-report0
+%LD                  mpif90
+%FPPFLAGS            -P -C -traditional
+%LDFLAGS
+%AR                  ar 
+%ARFLAGS             -r
+%MK                  gmake
+%USER_INC            %NCDF_INC
+%USER_LIB            %NCDF_LIB
+
+# - if debugging use these flags
+#FCFLAGS             -g -traceback -r8 -O0 -xT -ip -vec-report0
+#FFLAGS              -g -traceback -r8 -O0 -xT -ip -vec-report0
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS.fcm	(revision 3172)
+++ 	(revision )
@@ -1,33 +1,0 @@
-# ifort compiler options for NOCS ALTIX cluster nautilus
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC            -I/sw/packages/netcdf/3.6.2/x86_64/include
-%NCDF_LIB            -L/sw/packages/netcdf/3.6.2/x86_64/lib -lnetcdf
-%FC                  mpif90
-%FCFLAGS             -r8 -O3 -xT -ip -vec-report0
-%FFLAGS              -r8 -O3 -xT -ip -vec-report0
-%LD                  mpif90
-%FPPFLAGS            -P -C -traditional
-%LDFLAGS
-%AR                  ar 
-%ARFLAGS             -r
-%MK                  gmake
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB
-
-# - if debugging use these flags
-#FCFLAGS             -g -traceback -r8 -O0 -xT -ip -vec-report0
-#FFLAGS              -g -traceback -r8 -O0 -xT -ip -vec-report0
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS4.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS4.fcm	(revision 3172)
+++ 	(revision )
@@ -1,38 +1,0 @@
-# ifort compiler options for NOCS ALTIX cluster nautilus using NetCDF4 libraries
-# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
-# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_HOME           /noc/users/jeff/packages/netcdf4/netcdf-4.1.1/x86_64/intel10.1
-%HDF5_HOME           /noc/users/jeff/packages/hdf5/hdf5-1.8.4-patch1/x86_64/intel10.1
-%NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
-# Note use of -Bstatic because the library root directories are not accessible to the back-end compute nodes
-%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -Bstatic -lnetcdf -lhdf5_fortran -lhdf5_hl -lhdf5 -Bdynamic -lz
-%FC                  mpif90
-%FCFLAGS             -r8 -O3 -xT -ip -vec-report0
-%FFLAGS              -r8 -O3 -xT -ip -vec-report0
-%LD                  mpif90
-%FPPFLAGS            -P -C -traditional
-%LDFLAGS
-%AR                  ar 
-%ARFLAGS             -r
-%MK                  gmake
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB
-
-# - if debugging use these flags
-#FCFLAGS             -g -traceback -r8 -O0 -xT -ip -vec-report0
-#FFLAGS              -g -traceback -r8 -O0 -xT -ip -vec-report0
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-BG_BABEL.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-BG_BABEL.fcm	(revision 3172)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# babel IBM BlueGene/P at french IDRIS, http://www.idris.fr/su/Scalaire/babel
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make  
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC            -I/bglocal/prod/tools_ibm/netcdf-3.6.1/includ
-%NCDF_LIB            -L/bglocal/prod/tools_ibm/netcdf-3.6.1/lib -lnetcdf
-%FC                  mpxlf90_r
-%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%LD                  mpxlf90_r
-%LDFLAGS    
-%FPPFLAGS            -P -C
-%AR                  ar  
-%ARFLAGS             rs
-%MK                  gmake 
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB 
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-IA64_PLATINE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-IA64_PLATINE.fcm	(revision 3172)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# platine BULL cluster at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/platine.htm
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC        -I/usr/include 
-%NCDF_LIB        -L usr/lib -lnetcdf -lnetcdff
-%FC              mpif90
-%FCFLAGS         -i4 -r8 -automatic -align all -I/opt/mpi/current/include
-%FFLAGS          %FCFLAGS
-%LD              mpif90
-%LDFLAGS
-%FPPFLAGS        -P -C -traditional
-%AR              ar
-%ARFLAGS         rs
-%MK              gmake
-%USER_INC        %NCDF_INC
-%USER_LIB        %NCDF_LIB
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-PW6MONO_VARGAS.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-PW6MONO_VARGAS.fcm	(revision 3172)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# vargas IBM POWER6 (monoprocessor for tools) at french IDRIS, http://www.idris.fr/su/Scalaire/vargas/hw-vargas.html
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make  
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC            -I/usr/local/pub/NetCDF/3.6.2/include
-%NCDF_LIB            -L /usr/local/pub/NetCDF/3.6.2/lib -lnetcdf
-%FC                  xlf90_r
-%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%LD                  xlf90_r
-%LDFLAGS    
-%FPPFLAGS            -P -C
-%AR                  ar  
-%ARFLAGS             rs
-%MK                  gmake 
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB 
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-PW6_VARGAS.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-PW6_VARGAS.fcm	(revision 3172)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# vargas IBM POWER6 at french IDRIS, http://www.idris.fr/su/Scalaire/vargas/hw-vargas.html
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make  
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC            -I/usr/local/pub/NetCDF/3.6.2/include
-%NCDF_LIB            -L /usr/local/pub/NetCDF/3.6.2/lib -lnetcdf
-%FC                  mpxlf90_r
-%FCFLAGS             -qfree=f90 -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%FFLAGS              -qfixed -O3 -qrealsize=8 -qextname -qsource -q64 -qlargepage -qmaxmem=-1 -qsource
-%LD                  mpxlf90_r
-%LDFLAGS    
-%FPPFLAGS            -P -C
-%AR                  ar  
-%ARFLAGS             rs
-%MK                  gmake 
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB 
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX8_BRODIE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX8_BRODIE.fcm	(revision 3172)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# brodie NEC SX-8 at french IDRIS, http://www.idris.fr/su/Vectoriel/brodie/hw-brodie.html
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC           -I/SXlocal/pub/netCDF/netCDF-3.6.1/include
-%NCDF_LIB           -L/SXlocal/pub/netCDF/netCDF-3.6.1/lib -lnetcdf
-%FC                 sxmpif90
-%FCFLAGS            -f2003 nocbind -dW -Wf,"-A idbl4",-ptr byte -sx8 -C vopt -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf,-pvctl noassume loopcnt=10000  -Wf"-init heap=zero" -R2
-%FFLAGS             %FCFLAGS
-%LD                 sxmpif90
-%LDFLAGS
-%FPPFLAGS           -P -C -traditional
-%AR                 sxar
-%ARFLAGS            rs 
-%MK                 sxgmake
-%USER_INC           %NCDF_INC
-%USER_LIB           %NCDF_LIB 
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX8_MERCURE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX8_MERCURE.fcm	(revision 3172)
+++ 	(revision )
@@ -1,30 +1,0 @@
-# mercure NEC SX-8 at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/mercure.htm
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC        -I/ccc/applications/sx8/netcdf-3.6.1/include
-%NCDF_LIB        -L/ccc/applications/sx8/netcdf-3.6.1/lib -lnetcdf
-%FC              sxmpif90
-%FCFLAGS         -f2003 nocbind -size_t64 -dW -Wf,"-A idbl4", -sx8 -C vopt -P stack -Wf"-init stack=nan" -Wl"-f nan" -Wf"-P nh -O overlap" -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 shape=10000000 -Wf"-init heap=zero" -R2
-%FFLAGS          %FCFLAGS
-%LD              sxmpif90
-%LDFLAGS         -size_t64
-%FPPFLAGS        -P -C -traditional
-%AR              sxar
-%ARFLAGS         rs
-%MK              sxgmake
-%USER_INC        %NCDF_INC
-%USER_LIB        %NCDF_LIB
-
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX9_ES2.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX9_ES2.fcm	(revision 3172)
+++ 	(revision )
@@ -1,30 +1,0 @@
-# Earth Simulator 2, NEC SX-9, http://www.jamstec.go.jp/esc/index.en.html
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC        -I/SX/usr/include
-%NCDF_LIB        -L/SX/usr/lib -lnetcdf
-%FC              sxmpif90
-%FCFLAGS         -f2003 nocbind -P stack -dW -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"  -Wf"-init heap=zero" -R2
-%FFLAGS          %FCFLAGS
-%LD              sxmpif90
-%LDFLAGS
-%FPPFLAGS        -P -C -traditional
-%AR              sxar
-%ARFLAGS         rs
-%MK              gmake
-%USER_INC        %NCDF_INC
-%USER_LIB        %NCDF_LIB
-
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX9_MERCURE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-SX9_MERCURE.fcm	(revision 3172)
+++ 	(revision )
@@ -1,30 +1,0 @@
-# mercure NEC SX-9 at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/mercure.htm
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC        -I/usr/local/SX8/soft/netcdf/include
-%NCDF_LIB        -L/usr/local/SX8/soft/netcdf/lib -lnetcdf
-%FC              sxmpif90
-%FCFLAGS         -f2003 nocbind -P stack -dW -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"  -Wf"-init heap=zero" -R2
-%FFLAGS          %FCFLAGS
-%LD              sxmpif90
-%LDFLAGS
-%FPPFLAGS        -P -C -traditional
-%AR              sxar
-%ARFLAGS         rs
-%MK              gmake
-%USER_INC        %NCDF_INC
-%USER_LIB        %NCDF_LIB
-
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-TX7_ULAM.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-TX7_ULAM.fcm	(revision 3172)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# ulam IBM X3950 M2 at french IDRIS, http://www.idris.fr/su/Scalaire/ulam/hw-ulam.html
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make  
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC            -I/TXlocal/pub/netcdf/netcdf-3.6.2/include
-%NCDF_LIB            -L/TXlocal/pub/netcdf/netcdf-3.6.2/lib -lnetcdf
-%FC                  gfortran
-%FCFLAGS             -fdefault-real-8
-%FFLAGS              %FCFLAGS 
-%LD                  gfortran
-%LDFLAGS    
-%FPPFLAGS            -P -C
-%AR                  ar  
-%ARFLAGS             -r
-%MK                  gmake 
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB 
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-X64_TITANE.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-X64_TITANE.fcm	(revision 3172)
+++ 	(revision )
@@ -1,28 +1,0 @@
-# titane BULL at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/titane.htm
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-%NCDF_INC            -I$(NETCDF_INC_DIR)
-%NCDF_LIB            -L$(NETCDF_LIB_DIR) -lnetcdff -lnetcdf
-%FC                  mpif90 -c -cpp
-%FCFLAGS             -i4 -r8 -DCPP_PARA -O3 -automatic -align all
-%FFLAGS              %FCFLAGS
-%LD                  mpif90
-%LDFLAGS
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
-%MK                  gmake
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB
Index: anches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-X86_CESIUM.fcm
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/ARCH/arch-X86_CESIUM.fcm	(revision 3172)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# cesium pre/post processing HP at french CCRT, http://www-ccrt.cea.fr/fr/moyen_de_calcul/cesium.htm
-# NCDF_INC    netcdf include file
-# NCDF_LIB    netcdf library
-# FC          Fortran compiler command
-# FCFLAGS     Fortran compiler flags
-# FFLAGS      Fortran 77 compiler flags
-# LD          linker
-# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
-# FPPFLAGS    pre-processing flags
-# AR          assembler
-# ARFLAGS     assembler flags
-# MK          make
-# USER_INC    additional include files for the compiler,  e.g. -I<include dir>
-# USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
-
-
-%NCDF_INC            -I/applications/netcdf-3.6.3/include
-%NCDF_LIB            -L/applications/netcdf-3.6.3/lib -lnetcdff -lnetcdf
-%FC                  ifort
-%FCFLAGS             -i4 -r8 
-%FFLAGS              %FCFLAGS
-%LD                  ifort
-%LDFLAGS              -Vaxlib 
-%FPPFLAGS            -P -C -traditional
-%AR                  ar
-%ARFLAGS             rs
-%MK                  gmake
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB 
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/makenemo
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/makenemo	(revision 3172)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/CONFIG/makenemo	(revision 3173)
@@ -100,4 +100,5 @@
 #- Choice of the options ---
 x_d="";
+x_h="";
 x_n="";
 x_r="";
@@ -109,13 +110,15 @@
 do
     case $V in
-	(h)  echo "Usage	 : "${b_n} \
+	(h) x_h=${OPTARG};
+        echo "Usage	 : "${b_n} \
 	    " [-h] [-n name] [-m arch] [-d "dir1 dir2"] [-r conf] [-j No]";
-	echo " -h	 : help";
-	echo " -n name : config name, [-n help] to list existing configurations";
-	echo " -m arch : choose compiler, [-m help] to list existing compilers";
-	echo " -d dir  : choose NEMO sub-directories";
-	echo " -r conf : choose reference configuration";
-	echo " -j No	 : number of processes used to compile (0=nocompilation)";
-	echo " -t dir  : temporary directory for compilation"
+	echo " -h	   : help";
+	echo " -h institute : specific help for consortium members";
+	echo " -n name      : config name, [-n help] to list existing configurations";
+	echo " -m arch      : choose compiler, [-m help] to list existing compilers";
+	echo " -d dir       : choose NEMO sub-directories";
+	echo " -r conf      : choose reference configuration";
+	echo " -j No	    : number of processes used to compile (0=nocompilation)";
+	echo " -t dir       : temporary directory for compilation"
 	echo "";
 	echo "Example to install a new configuration MY_CONFIG";
@@ -137,5 +140,5 @@
 	echo "./makenemo -n MY_CONFIG -j0 add_key \"key_iomput key_mpp_mpi\" del_key \"key_agrif\" ";
 	echo "";
-	. ${COMPIL_DIR}/Flist_archfile.sh  ;
+	. ${COMPIL_DIR}/Flist_archfile.sh ${x_h}  ;
 	echo "";
 	echo "Default : previous configuration and compiler";
@@ -205,5 +208,5 @@
     exit
 fi
-[ "${CMP_NAM}" ==  help ] && . ${COMPIL_DIR}/Flist_archfile.sh && exit
+[ "${CMP_NAM}" ==  help ] && . ${COMPIL_DIR}/Flist_archfile.sh all && exit
 
 #- When used for the first time, choose a compiler ---
Index: /branches/2011/dev_LOCEAN_2011/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh
===================================================================
--- /branches/2011/dev_LOCEAN_2011/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 3172)
+++ /branches/2011/dev_LOCEAN_2011/NEMOGCM/TOOLS/COMPILE/Flist_archfile.sh	(revision 3173)
@@ -19,5 +19,5 @@
 # ::
 #
-#  $ Flist_archfile.sh
+#  $ Flist_archfile.sh Institute
 #
 #
@@ -37,4 +37,5 @@
 #  $ ./Flist_archfile.sh 
 #
+#  $ ./Flist_archfile.sh CNRS
 #
 # TODO
@@ -54,14 +55,41 @@
 #
 #-
+
+if [ -n "$2" ]; then
+shift
+fi
+
 echo "Available compilers for -m option :"
-for file in  $(ls ${MAIN_DIR}/ARCH ${MAIN_DIR}/ARCH/LOCAL | grep fcm )
+for file in  $(ls ${MAIN_DIR}/ARCH | grep fcm )
 do
 zvar1=${file#arch-}
-if [ -f ${MAIN_DIR}/ARCH/$file ]; then
 zvar2=$(head -1 ${MAIN_DIR}/ARCH/$file)
-else
-zvar2=$(head -1 ${MAIN_DIR}/ARCH/LOCAL/$file)
-fi
 #echo "${zvar1%.fcm} : ${zvar2#\#}"
 printf "%-20s %s %-s\n" "${zvar1%.fcm}" : "${zvar2#\#}"
 done
+
+
+if [ "$1" == "all" ]; then
+   for dir  in  $(ls ${MAIN_DIR}/ARCH | grep -v fcm )
+   do 
+      echo "Available compilers at ${dir} :"
+      for file in  $(ls ${MAIN_DIR}/ARCH/${dir} | grep  fcm )
+      do
+      zvar1=${file#arch-}
+      zvar2=$(head -1 ${MAIN_DIR}/ARCH/${dir}/$file)
+      #echo "${zvar1%.fcm} : ${zvar2#\#}"
+      printf "%-20s %s %-s\n" "${zvar1%.fcm}" : "${zvar2#\#}"
+      done
+   done
+else
+   if [ -d ${MAIN_DIR}/ARCH/${1} ]; then
+      echo "Available compilers at $1 :"
+      for file in  $(ls ${MAIN_DIR}/ARCH/$1 | grep fcm )
+      do
+      zvar1=${file#arch-}
+      zvar2=$(head -1 ${MAIN_DIR}/ARCH/${1}/$file)
+      #echo "${zvar1%.fcm} : ${zvar2#\#}"
+      printf "%-20s %s %-s\n" "${zvar1%.fcm}" : "${zvar2#\#}"
+      done
+   fi
+fi
